EDIT - bug #6917

NPE during delete of author or team in bulk editor
08/16/2017 03:00 PM - Patrick Plitzner

Status: Worksforme Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version:

Severity: normal Found in Version:

Description

Walter:

"beim Léschen eines Autors oder Teams im Bulk Editor"

login : w.berendsohn

editor version : 4.9.1

server : api.cybertaxonomy.org (cybertaxonomy.org) / salvador

schema version : 4.7.0.0.201710040000

os : Windows 7 6.1 amd64

java : 1.8.0_141

org.eclipse.e4.core.di.InjectionException: java.lang.NullPointerException
di.MethodRequestor.execute (MethodRequestor. java:65)

di.InjectorImpl.invokeUsingClass (InjectorImpl.java:282

di.InjectorImpl.invoke (InjectorImpl. java:264)

ContextInjectionFactory.invoke (ContextInjectionFactory

internal.HandlerServiceHandler.execute (HandlerServiceH

core.commands.Command.executeWithChecks (Command. java:494)

core.commands.ParameterizedCommand.executeWithChecks (ParameterizedComma

ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServ

eclipse.ed.ui.workbench.renderers.swt.HandledContributionItem.executeltem (Handl
java:433)

at org.eclipse.e4d.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSele

ction (AbstractContributionItem. java:454)

at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (Ab
stractContributionItem. java:482)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)
at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEng
ine.java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngin
e.java:1022)

at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:15

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(Eclipse
AppLauncher. java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLaunch
er.java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)
at java.lang.reflect.Method.invoke (Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
Caused by: java.lang.NullPointerException

at eu.etaxonomy.taxeditor.bulkeditor.handler.DeleteHandler.execute (DeleteHandler. java:
248)

at org.eclipse.ui.internal.handlers.HandlerProxy.execute (HandlerProxy. java:295)
at org.eclipse.ui.internal.handlers.E4HandlerProxy.execute (E4HandlerProxy.java:90)
at sun.reflect.GeneratedMethodAccessor70.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)
at java.lang.reflect.Method.invoke (Unknown Source)
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

36 more

History

#1 - 12/12/2017 09:25 AM - Katja Luther
- Status changed from New to Worksforme

- Target version deleted (Unassigned CDM tickets)

this is fixed.
